List workspace documents
curl --request GET \
--url https://api.truthlocks.com/v1/vault/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/vault/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/vault/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/vault/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"status": "active",
"legal_hold": true,
"retain_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"can_manage": true,
"limit": 123,
"offset": 123,
"max_file_bytes": 123,
"max_environment_bytes": 123
}Workspace document vault
List workspace documents
Requires a signed-in workspace member bearer session. API keys are not accepted. Workspace and environment come from the validated session. Changes require the workspace owner or administrator.
GET
/
v1
/
vault
/
documents
List workspace documents
curl --request GET \
--url https://api.truthlocks.com/v1/vault/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/vault/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/vault/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/vault/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"status": "active",
"legal_hold": true,
"retain_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"can_manage": true,
"limit": 123,
"offset": 123,
"max_file_bytes": 123,
"max_environment_bytes": 123
}Use a valid workspace bearer session. An API key cannot authorize this endpoint. The current workspace and environment are derived from that session.
See information handling for file limits, versioning, holds, retention and disposal behavior.
Authorizations
JWT for user-initiated operations
Query Parameters
Required range:
0 <= x <= 100000
